AISP

get/end-user-identity

Retrieval of the identity of the end-user (AISP)

OAuth2 scope: aisp

Parameters (17)

  • Authorizationheaderstringrequired

    Access token to be passed as a header

  • PSU-IP-Addressheaderstring

    IP address used by the PSU's terminal when connecting to the TPP

  • PSU-IP-Portheaderstring

    IP port used by the PSU's terminal when connecting to the TPP

  • PSU-HTTP-Methodheaderstring

    Http method for the most relevant PSU's terminal request to the TTP

  • PSU-Dateheaderstring

    Timestamp of the most relevant PSU's terminal request to the TTP

  • PSU-GEO-Locationheaderstring

    Geographical location of the PSU as provided by the PSU mobile terminal if any to the TPP

  • PSU-User-Agentheaderstring

    "User-Agent" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Refererheaderstring

    "Referer" header field sent by the PSU terminal when connecting to the TPP. Notice that an initial typo in RFC 1945 specifies that "referer" (incorrect spelling) is to be used. The correct spelling "referrer" can be used but might not be understood.

  • PSU-Acceptheaderstring

    "Accept" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Charsetheaderstring

    "Accept-Charset" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Encodingheaderstring

    "Accept-Encoding" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Accept-Languageheaderstring

    "Accept-Language" header field sent by the PSU terminal when connecting to the TPP

  • PSU-Device-IDheaderstring

    UUID (Universally Unique Identifier) for a device, which is used by the PSU, if available. UUID identifies either a device or a device dependant application installation. In case of installation identification this ID need to be unaltered until removal from device.

  • Digestheaderstring

    Digest of the body

  • Signatureheaderstring

    http-signature of the request The keyId must specify the way to get the relevant qualified certificate. It is requested that this identifier is an URL aiming to provide the relevant Qualified Certificate.

  • X-Request-IDheaderstringrequired

    Correlation header to be set in a request and retrieved in the relevant response

  • X-JWS-Signatureheaderstring

Responses

200

The ASPSP returns the identity of the PSU

Halobject

HalEndUserIdentity

HYPERMEDIA structure used for returning the identity of the PSU. The [identity] property specifies the identity of the PSU which has granted access to the AISP on the accounts data This information can be retrieved based on the PSU's authentication that occurred during the OAUTH2 access token initialisation.

Fields (2)

  • identityIdentityrequired

    Schema: Identity

    • fullNamestringrequired

      Last name and first name

      Last name and first name

      Constraints: maxLength: 140

    • namePrefixNamePrefixCode

      Schema: NamePrefixCode

      CodeNameDescription
      DOCT
      Doctor
      MADM
      Madam
      MISS
      Miss
      MIST
      Mister
    • firstNamestring

      First name

      First name

      Constraints: maxLength: 70

    • lastNamestring

      Last name

      Last name

      Constraints: maxLength: 70

204

No content.

Shared response definition: 204

401

Unauthorized, authentication failure.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

403

Forbidden, authentication successful but access to resource is not allowed.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

404

Not found, no request available.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

405

Method Not Allowed.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

406

Not Acceptable.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

429

Too many requests.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

500

Internal server error.

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item: ErrorDetail

    • locationstringenum · 2

      Location of the erroneous parameter when not in request body

      CodeNameDescription
      header
      query
    • namestring

      Name of the erroneous parameter when not in request body

    • pathstring

      JsonPath of the erroneous request body property

    • erroneousValuestring

      Erroneous parameter value

    • messagestring

      Relevant message for the erroneous parameter

    • expectedPatternstring

      Expected pattern, if any, that the erroneous parameter does not match with

    • expectedValueRangeobject

      Expected value range, if any, that the erroneous parameter does not match with

    • expectedValueCountobject

      Expected value count, in the case of an array item, that the erroneous parameter does not match with

    • expectedEnumerationarray<string>

      Expected enumeration, if any, that the erroneous parameter do not match with

Schemas used by this endpoint

Every structure referenced by this operation, listed once. Cross-references resolve to anchors on this page.

Technicalobject

ErrorDetail

detailed error description

Fields (9)

  • locationstringenum · 2

    Location of the erroneous parameter when not in request body

    CodeNameDescription
    header
    query
  • namestring

    Name of the erroneous parameter when not in request body

  • pathstring

    JsonPath of the erroneous request body property

  • erroneousValuestring

    Erroneous parameter value

  • messagestring

    Relevant message for the erroneous parameter

  • expectedPatternstring

    Expected pattern, if any, that the erroneous parameter does not match with

  • expectedValueRangeobject

    Expected value range, if any, that the erroneous parameter does not match with

  • expectedValueCountobject

    Expected value count, in the case of an array item, that the erroneous parameter does not match with

  • expectedEnumerationarray<string>

    Expected enumeration, if any, that the erroneous parameter do not match with

Technicalobject

ErrorModel

Generic error report structure

Fields (6)

  • timestampstring (date-time)

    current timestamp

  • statusinteger (int32)required

    HTTP error code

  • errorstring

    HTTP error text

    Constraints: maxLength: 140

  • messagestringrequired

    HTTP textual reason phrase

    Constraints: maxLength: 140

  • pathstring

    Relevant path that was used

    Constraints: maxLength: 140

  • detailsarray<ErrorDetail>

    list of detailed errors that were encountered

    Item schema: ErrorDetail

Halobject

HalEndUserIdentity

HYPERMEDIA structure used for returning the identity of the PSU. The [identity] property specifies the identity of the PSU which has granted access to the AISP on the accounts data This information can be retrieved based on the PSU's authentication that occurred during the OAUTH2 access token initialisation.

Fields (2)

Iso20022object

Identity

HYPERMEDIA structure used for returning the identity of the PSU

Fields (4)

  • fullNamestringrequired

    Last name and first name

    Last name and first name

    Constraints: maxLength: 140

  • namePrefixNamePrefixCode
  • firstNamestring

    First name

    First name

    Constraints: maxLength: 70

  • lastNamestring

    Last name

    Last name

    Constraints: maxLength: 70

ISO20022string

NamePrefixCode

Specifies the terms used to formally address a person. This field accepts the following code values

CodeNameDescription
DOCT
Doctor
MADM
Madam
MISS
Miss
MIST
Mister